%%%
%%% Q_NEW: 	CREATE NEW Q FIGURE.
%%%
%%%		Create a new Q figure with image/colormap/etc... as
%%%		defined in Q_defaults.m. 
%%%
%%% DATE: 	June 13, 1998
%%% BY:   	Hany Farid (farid@mit.edu), Copyright 1998, MIT.
%%%
function [] = Q_new( parent )

	if( Q_active(parent,1) )
		return;
	end

	IM = Q_get_iminfo( parent );
	D = Q_defaults( 'all', IM.mode );
	Q_main( D.im, D.cmap, D.clim, D.magnify, D.mode, D.filename ); 
	Q_active( parent, 0 );	
